      subroutine t3dmix (tile)      


      use Agrif_Util
#include "Param_BeforeCall_t3dmix.h"
      integer(4) :: tile
      

        call Sub_Loop_t3dmix(tile, Agrif_tabvars_i(16)%iarray0, Agrif_ta
     &bvars_i(15)%iarray0, Agrif_tabvars(117)%array3, Agrif_tabvars(116)
     &%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_t3dmix.h"
      subroutine t3dmix_tile (istr,iend,jstr,jend, itrc, LapT,
     &                                                          Akz,
     &                                                diff3u,diff3v,
     &                                      FX,FE,FC,dTdr, dTdx,dTde
     &                                              ,FFC,CF,BC,CD,DC
     &                        )      


      use Agrif_Util
#include "Param_BeforeCall_t3dmix_tile.h"
      integer(4) :: istr
      integer(4) :: iend
      integer(4) :: jstr
      integer(4) :: jend
      integer(4) :: itrc
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: LapT
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: diff3u
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: diff3v
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Akz
      real, dimension(Istr-2:Iend+2,0:N) :: CF
      real, dimension(Istr-2:Iend+2,0:N) :: DC
      real, dimension(Istr-2:Iend+2,0:N) :: CD
      real, dimension(Istr-2:Iend+2,0:N) :: BC
      real, dimension(Istr-2:Iend+2,0:N) :: FFC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FX
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FE
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: FC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTdr
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTdx
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTde
      

        call Sub_Loop_t3dmix_tile(istr,iend,jstr,jend,itrc,LapT,Akz,diff
     &3u,diff3v,FX,FE,FC,dTdr,dTdx,dTde,FFC,CF,BC,CD,DC, Agrif_tabvars_i
     &(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarr
     &ay0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(123)%array4, Agrif_
     &tabvars_r(3)%array0, Agrif_tabvars_i(155)%iarray0, Agrif_tabvars(1
     &26)%array3, Agrif_tabvars(98)%array2, Agrif_tabvars(127)%array3, A
     &grif_tabvars(99)%array2, Agrif_tabvars(143)%array3, Agrif_tabvars(
     &142)%array3, Agrif_tabvars(125)%array3, Agrif_tabvars(78)%array2, 
     &Agrif_tabvars(103)%array2, Agrif_tabvars_i(153)%iarray0, Agrif_tab
     &vars(148)%array5, Agrif_tabvars(79)%array2, Agrif_tabvars(104)%arr
     &ay2, Agrif_tabvars(128)%array3, Agrif_tabvars(129)%array3, Agrif_t
     &abvars(130)%array3, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(1
     &4)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larra
     &y0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_t3dmix_tile.h"
      subroutine t3dmix_child_tile (istr,iend,jstr,jend, itrc, LapT,
     &                                                          Akz,
     &                                                diff3u,diff3v,
     &                                      FX,FE,FC,dTdr, dTdx,dTde
     &                                              ,FFC,CF,BC,CD,DC
     &                        )      


      use Agrif_Util
#include "Param_BeforeCall_t3dmix_child_tile.h"
      integer(4) :: istr
      integer(4) :: iend
      integer(4) :: jstr
      integer(4) :: jend
      integer(4) :: itrc
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: LapT
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: diff3u
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: diff3v
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Akz
      real, dimension(Istr-2:Iend+2,0:N) :: CF
      real, dimension(Istr-2:Iend+2,0:N) :: DC
      real, dimension(Istr-2:Iend+2,0:N) :: CD
      real, dimension(Istr-2:Iend+2,0:N) :: BC
      real, dimension(Istr-2:Iend+2,0:N) :: FFC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FX
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FE
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: FC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTdr
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTdx
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,1:2) :: dTde
      

        call Sub_Loop_t3dmix_child_tile(istr,iend,jstr,jend,itrc,LapT,Ak
     &z,diff3u,diff3v,FX,FE,FC,dTdr,dTdx,dTde,FFC,CF,BC,CD,DC, Agrif_tab
     &vars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13
     &)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(123)%array4, 
     &Agrif_tabvars_r(3)%array0, Agrif_tabvars_i(155)%iarray0, Agrif_tab
     &vars(126)%array3, Agrif_tabvars(98)%array2, Agrif_tabvars(127)%arr
     &ay3, Agrif_tabvars(99)%array2, Agrif_tabvars(143)%array3, Agrif_ta
     &bvars(142)%array3, Agrif_tabvars(125)%array3, Agrif_tabvars(78)%ar
     &ray2, Agrif_tabvars(103)%array2, Agrif_tabvars_i(153)%iarray0, Agr
     &if_tabvars(148)%array5, Agrif_tabvars(79)%array2, Agrif_tabvars(10
     &4)%array2, Agrif_tabvars(128)%array3, Agrif_tabvars(129)%array3, A
     &grif_tabvars(130)%array3, Agrif_tabvars_l(13)%larray0, Agrif_tabva
     &rs_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)
     &%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_t3dmix_child_tile.h"
